%global momorel 2
%global qtver 4.4.0
%global kdever 4.0.4
%global kdelibsrel 1m
%global qtdir %{_libdir}/qt4
%global kdedir /usr

Summary: KEuroCalc is a universal currency converter and calculator
Name: keurocalc
Version: 1.0.2
Release: %{momorel}m%{?dist}
License: GPL
URL: http://opensource.bureau-cornavin.com/keurocalc/
Group: Applications/Productivity
Source0: http://opensource.bureau-cornavin.com/%{name}/sources/%{name}-%{version}.tgz
NoSource: 0
Patch0: %{name}-%{version}-desktop.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: kdelibs >= %{kdever}-%{kdelibsrel}
BuildPreReq: qt-devel >= %{qtver}
BuildPreReq: kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: cmake
BuildPreReq: desktop-file-utils

%description
KEuroCalc is a universal currency converter and calculator. It
can convert from and to many currencies, either with a fixed
conversion rate or a variable conversion rate. It directly
downloads the latest variable rates through the Internet

%prep
%setup -q

%patch0 -p1 -b .desktop~

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform} VERBOSE=1

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}

# GNOME desktop beautification (requires "Icon=name.png" fix in setup section)
mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -s ../icons/hicolor/48x48/apps/keurocalc.png %{buildroot}%{_datadir}/pixmaps/keurocalc.png

# install desktop file
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_kde4_datadir}/applications/kde4 \
  --remove-key Keywords \
  --remove-category Application \
  --add-category KDE \
  --add-category Qt \
  %{buildroot}%{_kde4_datadir}/applications/kde4/keurocalc.desktop

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING* ChangeLog INSTALL TODO
%{_kde4_bindir}/curconvd
%{_kde4_bindir}/keurocalc
%{_kde4_datadir}/applications/kde4/keurocalc.desktop
%{_kde4_appsdir}/curconvd
%{_kde4_appsdir}/keurocalc
%{_kde4_docdir}/HTML/*/keurocalc
%{_kde4_datadir}/icons/*/*/*/keurocalc.png
%{_kde4_datadir}/locale/*/LC_MESSAGES/keurocalc.mo
%{_kde4_datadir}//pixmaps/keurocalc.png

%changelog
* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.0.2-2m)
- rebuild against rpm-4.6

* Sun Jan 11 2009 NARITA Koichi <pulsar@omonga-linux.org>
- (1.0.2-1m)
- update to 1.0.2

* Sun May 18 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.0-4m)
- revise %%{_docdir}/HTML/*/keurocalc/common

* Sun May 11 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.0.0-3m)
- rebuild against qt-4.4.0-1m

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.0-2m)
- rebuild against gcc43

* Fri Feb 29 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.0-1m)
- version 1.0.0 KDE4

* Sat Feb 16 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.9.7-4m)
- specify KDE3 headers and libs
- modify Requires and BuildRequires

* Thu Feb 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9.7-3m)
- %%NoSource -> NoSource

* Thu Feb 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9.7-2m)
- %%NoSource -> NoSource

* Fri Mar 30 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.7-1m)
- initial package for Momonga Linux
